Redmine - Patch #4331

Second set of issue "Action Links™" at the bottom of an issue page
2009-12-03 19:24 - Eric Davis

Status: Closed Start date: 2009-12-03
Priority: Normal Due date:

Assignee: Eric Davis % Done: 100%
Category: ul Estimated time: 0.00 hour
Target version: 0.9.0

Description

The Action Links (Update, Log Time, Watch, etc) are really useful on the issue page but you have to go to the top every time you
want to use them. This commit/patch adds a second set of links to the bottom of the issue's page. | had to rework how the

WatchersController worked so multiple Watch links can be updated on the page.

Related issues:
Is duplicate of Redmine - Patch #670: Duplicate issue links (update/edit/etc)...

Closed 2008-02-15

Associated revisions

Revision 3119 - 2009-12-03 19:41 - Eric Davis

Add a second action menu to IssuesController#show. (#4331)

Will have the update, log time, watch, copy, etc buttons. Had to rework
how the watchers button works since it requires a unique DOM id for the

Ajax response. Also modified the WatchersController to be able to replace
multiple sections of the page, e.g. two Watch links.

History

#1 - 2009-12-03 19:28 - Eric Davis
- File 4331.png added

- File 0001-Add-a-second-action-menu-to-IssuesController-show.-4.patch added

Uploading example screenshot and patch.
Added by Redmine Admin 4 months ago, Updated 8 minutes ago.

Status: Mew Start: 09/07/2009

Priority: Medium Due date:

Assigned to: F#L Earlene McDermott % Done: 50%

Category: = Spent time: =

Target version: Parent Version 1

Description 2 Quote

There's a voice that keeps on calling me. Soaring through all the galaxies in search of Earth flying in to the night.
Every stop I make I make a new friend; Can't stay for long just turn around and I'm gone again.

He just keeps on movin' and ladies keep improvin', Maybe tomorrow I'll want to settle down - until tomorrow I'll just keep moving on, Down the road that's
where I'll always be. Hey there where ya goin, not exactly knowin',
History

Updated by Redmine Admin 8 minutes ago #1
Also available in: E) Atom | PDF

#2 - 2009-12-03 19:35 - Eric Davis
- Status changed from New to Closed
- Target version set to 0.9.0

- % Done changed from 0 to 100

Committed in r3119.

Files
4331.png 70.8 KB 2009-12-03 Eric Davis
0001-Add-a-second-action-menu-to-IssuesController-show.-4.patch  7.76 KB 2009-12-03 Eric Davis
